﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;
    using Eco.Gameplay.Pipes.LiquidComponents; 

    [RequiresSkill(typeof(OilDrillingSkill), 2)]      
    public partial class BiodieselRecipe :
        RecipeFamily
    {
        public BiodieselRecipe()
        {
            this.Initialize(Localizer.DoStr("Biodiesel"), typeof(BiodieselRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Biodiesel",
                    Localizer.DoStr("Biodiesel"),
                    new IngredientElement[]
                    {
                    new IngredientElement("Fat", 10, typeof(OilDrillingSkill), typeof(OilDrillingLavishResourcesTalent)),    
                    new IngredientElement(typeof(BarrelItem), 1, true),  
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<BiodieselItem>(),  
                    }
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(OilDrillingSkill), typeof(BiodieselRecipe), this.UILink()); 
            this.ExperienceOnCraft = 0.5f;  
            this.CraftMinutes = CreateCraftTimeValue(typeof(BiodieselRecipe), this.UILink(), 0.8f, typeof(OilDrillingSkill), typeof(OilDrillingFocusedSpeedTalent), typeof(OilDrillingParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Biodiesel"), typeof(BiodieselRecipe));

            CraftingComponent.AddRecipe(typeof(OilRefineryObject), this);

        }
    }

    [Serialized]
    [Solid]
    [RequiresSkill(typeof(OilDrillingSkill), 2)]      
    public partial class BiodieselBlock :
        PickupableBlock      
        , IRepresentsItem   
    {
        public Type RepresentedItemType { get { return typeof(BiodieselItem); } }  
    }

    [Serialized]
    [LocDisplayName("Biodiesel")]
[MaxStackSize(1000)]
[Weight(1)]
    [Fuel(80000)][Tag("Fuel")]          
    [Ecopedia("Blocks", "Liquids", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                    
    [Currency] 
    [Tag("Liquid Fuel", 1)]                         
    public partial class BiodieselItem :
    BlockItem<BiodieselBlock>
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Biodiesel"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("A vegetable or animal fat-based diesel fuel."); } }

        public override bool CanStickToWalls { get { return false; } }  
    }

}

