﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;


    [Serialized]
    [Solid, Wall, Constructed]
    public partial class CeibaLogBlock :
        Block            
        , IRepresentsItem   
    {
        public Type RepresentedItemType { get { return typeof(CeibaLogItem); } }  
    }

    [Serialized]
    [LocDisplayName("Ceiba Log")]
[MaxStackSize(1000)]
[Weight(1)]
    [Fuel(4000)][Tag("Fuel")]          
    [Ecopedia("Natural Resources", "Logs", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                    
    [Currency] 
    [Tag("Wood", 1)]
    [Tag("Hardwood", 1)]
    [Tag("Burnable Fuel", 1)]                         
    public partial class CeibaLogItem :
    BlockItem<CeibaLogBlock>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Ceiba log is a type of hardwood. The Ceiba tree, with its giant trunk, is often sought after by loggers for the large volume of logs it produces."); } }

        public override bool CanStickToWalls { get { return false; } }  

        private static Type[] blockTypes = new Type[] {
        typeof(CeibaLogStacked1Block),
        typeof(CeibaLogStacked2Block),
        typeof(CeibaLogStacked3Block),
            typeof(CeibaLogStacked4Block)
        };
        public override Type[] BlockTypes { get { return blockTypes; } }
    }

    [Serialized, Solid] public class CeibaLogStacked1Block : PickupableBlock { }
    [Serialized, Solid] public class CeibaLogStacked2Block : PickupableBlock { }
    [Serialized, Solid] public class CeibaLogStacked3Block : PickupableBlock { }
    [Serialized, Solid,Wall] public class CeibaLogStacked4Block : PickupableBlock { } //Only a wall if it's all 4 CeibaLog
}

