﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;


    [Serialized]
    [Solid, Wall, Constructed]
    public partial class OakLogBlock :
        Block            
        , IRepresentsItem   
    {
        public Type RepresentedItemType { get { return typeof(OakLogItem); } }  
    }

    [Serialized]
    [LocDisplayName("Oak Log")]
[MaxStackSize(1000)]
[Weight(1)]
    [Fuel(4000)][Tag("Fuel")]          
    [Ecopedia("Natural Resources", "Logs", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                    
    [Currency] 
    [Tag("Wood", 1)]
    [Tag("Hardwood", 1)]
    [Tag("Burnable Fuel", 1)]                         
    public partial class OakLogItem :
    BlockItem<OakLogBlock>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Oak log is a type of hardwood. With its great strength and hardness, oak is commonly used for furniture and building materials."); } }

        public override bool CanStickToWalls { get { return false; } }  

        private static Type[] blockTypes = new Type[] {
        typeof(OakLogStacked1Block),
        typeof(OakLogStacked2Block),
        typeof(OakLogStacked3Block),
            typeof(OakLogStacked4Block)
        };
        public override Type[] BlockTypes { get { return blockTypes; } }
    }

    [Serialized, Solid] public class OakLogStacked1Block : PickupableBlock { }
    [Serialized, Solid] public class OakLogStacked2Block : PickupableBlock { }
    [Serialized, Solid] public class OakLogStacked3Block : PickupableBlock { }
    [Serialized, Solid,Wall] public class OakLogStacked4Block : PickupableBlock { } //Only a wall if it's all 4 OakLog
}

