﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using System.ComponentModel;

    [RequiresSkill(typeof(FertilizersSkill), 3)]  
    public partial class BerryExtractFertilizerRecipe : RecipeFamily
    {
        public BerryExtractFertilizerRecipe()
        {
            this.Initialize(Localizer.DoStr("Berry Extract Fertilizer"), typeof(BerryExtractFertilizerRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "BerryExtractFertilizer",
                    Localizer.DoStr("Berry Extract Fertilizer"),
                    new IngredientElement[]
                    {
              new IngredientElement(typeof(CompositeFillerItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)), 
              new IngredientElement(typeof(HuckleberryExtractItem), 2, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),   
                    },
                new CraftingElement<BerryExtractFertilizerItem>()
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(FertilizersSkill), typeof(BerryExtractFertilizerRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BerryExtractFertilizerRecipe), this.UILink(), 0.3f, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Berry Extract Fertilizer"), typeof(BerryExtractFertilizerRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject),this);
        }
    }
    
    [Serialized]
    [LocDisplayName("Berry Extract Fertilizer")]
[MaxStackSize(1000)]
[Weight(1)]
    [Category("Tool")]
    public partial class BerryExtractFertilizerItem : FertilizerItem<BerryExtractFertilizerItem>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("An excellent fertilizer that provide a mix of nutrients, but especially potassium."); } }

        static BerryExtractFertilizerItem()
        {
            nutrients = new List<NutrientElement>();
            nutrients.Add(new NutrientElement("Nitrogen", 1));
            nutrients.Add(new NutrientElement("Phosphorus", 3));
            nutrients.Add(new NutrientElement("Potassium", 4.8f));
        }
    }
}

