﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using System.ComponentModel;

    [RequiresSkill(typeof(FertilizersSkill), 1)]  
    public partial class BloodMealFertilizerRecipe : RecipeFamily
    {
        public BloodMealFertilizerRecipe()
        {
            this.Initialize(Localizer.DoStr("Blood Meal Fertilizer"), typeof(BloodMealFertilizerRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "BloodMealFertilizer",
                    Localizer.DoStr("Blood Meal Fertilizer"),
                    new IngredientElement[]
                    {
              new IngredientElement(typeof(PulpFillerItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)), 
              new IngredientElement(typeof(ScrapMeatItem), 15, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),   
                    },
                new CraftingElement<BloodMealFertilizerItem>()
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(FertilizersSkill), typeof(BloodMealFertilizerRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BloodMealFertilizerRecipe), this.UILink(), 0.3f, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Blood Meal Fertilizer"), typeof(BloodMealFertilizerRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject),this);
        }
    }
    
    [Serialized]
    [LocDisplayName("Blood Meal Fertilizer")]
[MaxStackSize(1000)]
[Weight(1)]
    [Category("Tool")]
    public partial class BloodMealFertilizerItem : FertilizerItem<BloodMealFertilizerItem>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Blood meal is a great source of nitrogen."); } }

        static BloodMealFertilizerItem()
        {
            nutrients = new List<NutrientElement>();
            nutrients.Add(new NutrientElement("Nitrogen", 3));
            nutrients.Add(new NutrientElement("Phosphorus", 0.4f));
            nutrients.Add(new NutrientElement("Potassium", 0.4f));
        }
    }
}

