﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using System.ComponentModel;

    [RequiresSkill(typeof(FertilizersSkill), 2)]  
    public partial class FiberFillerRecipe : RecipeFamily
    {
        public FiberFillerRecipe()
        {
            this.Initialize(Localizer.DoStr("Fiber Filler"), typeof(FiberFillerRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "FiberFiller",
                    Localizer.DoStr("Fiber Filler"),
                    new IngredientElement[]
                    {
              new IngredientElement(typeof(PlantFibersItem), 15, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)), 
              new IngredientElement(typeof(DirtItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),   
                    },
                new CraftingElement<FiberFillerItem>()
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(FertilizersSkill), typeof(FiberFillerRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(FiberFillerRecipe), this.UILink(), 0.3f, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Fiber Filler"), typeof(FiberFillerRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject),this);
        }
    }
    
    [Serialized]
    [LocDisplayName("Fiber Filler")]
[MaxStackSize(1000)]
[Weight(1)]
    [Category("Tool")]
    public partial class FiberFillerItem : FertilizerItem<FiberFillerItem>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A filler ingredient used in a variety of fertilizers."); } }

        static FiberFillerItem()
        {
            nutrients = new List<NutrientElement>();
            nutrients.Add(new NutrientElement("Nitrogen", 0.1f));
            nutrients.Add(new NutrientElement("Phosphorus", 0.1f));
            nutrients.Add(new NutrientElement("Potassium", 0.1f));
        }
    }
}

