﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using System.ComponentModel;

    [RequiresSkill(typeof(FertilizersSkill), 3)]  
    public partial class PhosphateFertilizerRecipe : RecipeFamily
    {
        public PhosphateFertilizerRecipe()
        {
            this.Initialize(Localizer.DoStr("Phosphate Fertilizer"), typeof(PhosphateFertilizerRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "PhosphateFertilizer",
                    Localizer.DoStr("Phosphate Fertilizer"),
                    new IngredientElement[]
                    {
              new IngredientElement(typeof(CompositeFillerItem), 2, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)), 
              new IngredientElement(typeof(LimestoneItem), 20, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),   
                    },
                new CraftingElement<PhosphateFertilizerItem>()
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(FertilizersSkill), typeof(PhosphateFertilizerRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(PhosphateFertilizerRecipe), this.UILink(), 0.3f, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Phosphate Fertilizer"), typeof(PhosphateFertilizerRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject),this);
        }
    }
    
    [Serialized]
    [LocDisplayName("Phosphate Fertilizer")]
[MaxStackSize(1000)]
[Weight(1)]
    [Category("Tool")]
    public partial class PhosphateFertilizerItem : FertilizerItem<PhosphateFertilizerItem>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Phosphate fertilizer is a great source of Phosphorus."); } }

        static PhosphateFertilizerItem()
        {
            nutrients = new List<NutrientElement>();
            nutrients.Add(new NutrientElement("Nitrogen", 0.5f));
            nutrients.Add(new NutrientElement("Phosphorus", 4));
            nutrients.Add(new NutrientElement("Potassium", 0.5f));
        }
    }
}

