﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using System.ComponentModel;

    [RequiresSkill(typeof(FertilizersSkill), 1)]  
    public partial class PulpFillerRecipe : RecipeFamily
    {
        public PulpFillerRecipe()
        {
            this.Initialize(Localizer.DoStr("Pulp Filler"), typeof(PulpFillerRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "PulpFiller",
                    Localizer.DoStr("Pulp Filler"),
                    new IngredientElement[]
                    {
              new IngredientElement(typeof(WoodPulpItem), 15, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)), 
              new IngredientElement(typeof(DirtItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),   
                    },
                new CraftingElement<PulpFillerItem>()
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(FertilizersSkill), typeof(PulpFillerRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(PulpFillerRecipe), this.UILink(), 0.3f, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Pulp Filler"), typeof(PulpFillerRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject),this);
        }
    }
    
    [Serialized]
    [LocDisplayName("Pulp Filler")]
[MaxStackSize(1000)]
[Weight(1)]
    [Category("Tool")]
    public partial class PulpFillerItem : FertilizerItem<PulpFillerItem>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Wood pulp and dirt make a great filler for other fertilizers. "); } }

        static PulpFillerItem()
        {
            nutrients = new List<NutrientElement>();
            nutrients.Add(new NutrientElement("Nitrogen", 0.3f));
            nutrients.Add(new NutrientElement("Phosphorus", 0.3f));
            nutrients.Add(new NutrientElement("Potassium", 0.3f));
        }
    }
}

