﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Baked Heart Of Palm")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("BakedVegetable", 1)]
    [Tag("BakedFood", 1)]
    public partial class BakedHeartOfPalmItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Baked Hearts Of Palm"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Baked heart of palm that retains more nutrients than more simple methods of cooking."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 12, Fat = 4, Protein = 6, Vitamins = 6};
        public override float Calories                          { get { return 560; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(BakingSkill), 1)]    
    public partial class BakedHeartOfPalmRecipe :
        RecipeFamily
    {
        public BakedHeartOfPalmRecipe()
        {
            var product = new Recipe(
                "BakedHeartOfPalm",
                Localizer.DoStr("Baked Heart Of Palm"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(HeartOfPalmItem), 4, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),   
                },
                    new CraftingElement<BakedHeartOfPalmItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Baked Heart Of Palm"), typeof(BakedHeartOfPalmRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill), typeof(BakedHeartOfPalmRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BakedHeartOfPalmRecipe), this.UILink(), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Baked Heart Of Palm"), typeof(BakedHeartOfPalmRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}

