﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Baked Meat")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BakedMeatItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Baked Meat"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Baked meat is less fatty than other methods of cooking."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 17, Protein = 13, Vitamins = 0};
        public override float Calories                          { get { return 600; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(BakingSkill), 1)]    
    public partial class BakedMeatRecipe :
        RecipeFamily
    {
        public BakedMeatRecipe()
        {
            var product = new Recipe(
                "BakedMeat",
                Localizer.DoStr("Baked Meat"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(RawMeatItem), 2, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),   
                },
                    new CraftingElement<BakedMeatItem>(1),  
                    new CraftingElement<TallowItem>(1f)  
                
            );
            this.Initialize(Localizer.DoStr("Baked Meat"), typeof(BakedMeatRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill), typeof(BakedMeatRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BakedMeatRecipe), this.UILink(), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Baked Meat"), typeof(BakedMeatRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}

