﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Boiled Grains")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BoiledGrainsItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Boiled Grains"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A dish of plain boiled grains that can be topped with fruit to make a nice tasting porridge."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 9, Fat = 0, Protein = 2, Vitamins = 1};
        public override float Calories                          { get { return 350; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 0)]    
    public partial class BoiledGrainsRecipe :
        RecipeFamily
    {
        public BoiledGrainsRecipe()
        {
            var product = new Recipe(
                "BoiledGrains",
                Localizer.DoStr("Boiled Grains"),
                new IngredientElement[]
                {
            new IngredientElement("Grain", 1, true),   
                },
                    new CraftingElement<BoiledGrainsItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Boiled Grains"), typeof(BoiledGrainsRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(BoiledGrainsRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BoiledGrainsRecipe), this.UILink(), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Boiled Grains"), typeof(BoiledGrainsRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

