﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Charred Fireweed Shoots")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("CharredGreen", 1)]
    public partial class CharredFireweedShootsItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Boiled in water to remove the inherent bitterness, this shoot is much tastier."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 5, Fat = 0, Protein = 1, Vitamins = 6};
        public override float Calories                          { get { return 350; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 0)]    
    public partial class CharredFireweedShootsRecipe :
        RecipeFamily
    {
        public CharredFireweedShootsRecipe()
        {
            var product = new Recipe(
                "CharredFireweedShoots",
                Localizer.DoStr("Charred Fireweed Shoots"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(FireweedShootsItem), 1, true),  
                },
                    new CraftingElement<CharredFireweedShootsItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Charred Fireweed Shoots"), typeof(CharredFireweedShootsRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(CharredFireweedShootsRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharredFireweedShootsRecipe), this.UILink(), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Charred Fireweed Shoots"), typeof(CharredFireweedShootsRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

