﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Jungle Campfire Salad")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Campfire", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("CampfireSalad", 1)]
    public partial class JungleCampfireSaladItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A myriad of plants that make a healthy and odd blend."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 11, Fat = 3, Protein = 4, Vitamins = 10};
        public override float Calories                          { get { return 900; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 1)]    
    public partial class JungleCampfireSaladRecipe :
        RecipeFamily
    {
        public JungleCampfireSaladRecipe()
        {
            var product = new Recipe(
                "JungleCampfireSalad",
                Localizer.DoStr("Jungle Campfire Salad"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(PapayaItem), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)), 
            new IngredientElement(typeof(PineappleItem), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),   
            new IngredientElement("Greens", 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<JungleCampfireSaladItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Jungle Campfire Salad"), typeof(JungleCampfireSaladRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(JungleCampfireSaladRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(JungleCampfireSaladRecipe), this.UILink(), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Jungle Campfire Salad"), typeof(JungleCampfireSaladRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

