﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Prime Cut")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Meat", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class PrimeCutItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A perfectly marbled piece of meat."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 4, Protein = 9, Vitamins = 0};
        public override float Calories                          { get { return 600; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(ButcherySkill), 3)]    
    public partial class PrimeCutRecipe :
        RecipeFamily
    {
        public PrimeCutRecipe()
        {
            var product = new Recipe(
                "PrimeCut",
                Localizer.DoStr("Prime Cut"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(RawMeatItem), 16, typeof(ButcherySkill), typeof(ButcheryLavishResourcesTalent)),   
                },
                    new CraftingElement<PrimeCutItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Prime Cut"), typeof(PrimeCutRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(ButcherySkill), typeof(PrimeCutRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(PrimeCutRecipe), this.UILink(), 0.8f, typeof(ButcherySkill), typeof(ButcheryFocusedSpeedTalent), typeof(ButcheryParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Prime Cut"), typeof(PrimeCutRecipe));
            CraftingComponent.AddRecipe(typeof(ButcheryTableObject), this);
        }
    }
}

