﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Simple Syrup")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class SimpleSyrupItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A simple water and suger combination heated until the sugar dissolves."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 12, Fat = 3, Protein = 0, Vitamins = 0};
        public override float Calories                          { get { return 400; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]    
    public partial class SimpleSyrupRecipe :
        RecipeFamily
    {
        public SimpleSyrupRecipe()
        {
            var product = new Recipe(
                "SimpleSyrup",
                Localizer.DoStr("Simple Syrup"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(SugarItem), 10, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<SimpleSyrupItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Simple Syrup"), typeof(SimpleSyrupRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill), typeof(SimpleSyrupRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(SimpleSyrupRecipe), this.UILink(), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Simple Syrup"), typeof(SimpleSyrupRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}

