﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Tortilla")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class TortillaItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A thin, unleavened flatbread."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 20, Fat = 0, Protein = 10, Vitamins = 0};
        public override float Calories                          { get { return 350; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]    
    public partial class TortillaRecipe :
        RecipeFamily
    {
        public TortillaRecipe()
        {
            var product = new Recipe(
                "Tortilla",
                Localizer.DoStr("Tortilla"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(CornmealItem), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<TortillaItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Tortilla"), typeof(TortillaRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill), typeof(TortillaRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(TortillaRecipe), this.UILink(), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Tortilla"), typeof(TortillaRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}

