﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Wilted Fiddleheads")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("CharredGreen", 1)]
    public partial class WiltedFiddleheadsItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Wilted Fiddleheads"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("While a bunch of wilted fiddleheads may seem a bit sad, at least they're nutritious."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 4, Fat = 0, Protein = 1, Vitamins = 7};
        public override float Calories                          { get { return 350; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 0)]    
    public partial class WiltedFiddleheadsRecipe :
        RecipeFamily
    {
        public WiltedFiddleheadsRecipe()
        {
            var product = new Recipe(
                "WiltedFiddleheads",
                Localizer.DoStr("Wilted Fiddleheads"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(FiddleheadsItem), 1, true),  
                },
                    new CraftingElement<WiltedFiddleheadsItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Wilted Fiddleheads"), typeof(WiltedFiddleheadsRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(WiltedFiddleheadsRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(WiltedFiddleheadsRecipe), this.UILink(), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Wilted Fiddleheads"), typeof(WiltedFiddleheadsRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

