﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Yeast")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class YeastItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Yeast"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A fungus that acts as an amazing leavening agent."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 0, Protein = 8, Vitamins = 7};
        public override float Calories                          { get { return 60; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(MillingSkill), 4)]    
    public partial class YeastRecipe :
        RecipeFamily
    {
        public YeastRecipe()
        {
            var product = new Recipe(
                "Yeast",
                Localizer.DoStr("Yeast"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(SugarItem), 4, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),   
                },
                    new CraftingElement<YeastItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Yeast"), typeof(YeastRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(MillingSkill), typeof(YeastRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(YeastRecipe), this.UILink(), 2, typeof(MillingSkill), typeof(MillingFocusedSpeedTalent), typeof(MillingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Yeast"), typeof(YeastRecipe));
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }
    }
}

