﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(TailoringSkill), 1)]      
    public partial class ClothRecipe :
        RecipeFamily
    {
        public ClothRecipe()
        {
            this.Initialize(Localizer.DoStr("Cloth"), typeof(ClothRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Cloth",
                    Localizer.DoStr("Cloth"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(PlantFibersItem), 6, typeof(TailoringSkill), typeof(TailoringLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<ClothItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(50, typeof(TailoringSkill), typeof(ClothRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClothRecipe), this.UILink(), 0.8f, typeof(TailoringSkill), typeof(TailoringFocusedSpeedTalent), typeof(TailoringParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Cloth"), typeof(ClothRecipe));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Cloth")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class ClothItem :
    Item                                    
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Cloth"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("A piece of rough cloth made by weaving fibers together."); } }
    }
}

