﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class CombustionEngineRecipe :
        RecipeFamily
    {
        public CombustionEngineRecipe()
        {
            this.Initialize(Localizer.DoStr("Combustion Engine"), typeof(CombustionEngineRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "CombustionEngine",
                    Localizer.DoStr("Combustion Engine"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(PistonItem), 6, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(GearboxItem), 4, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(IronPlateItem), 12, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(RivetItem), 8, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<CombustionEngineItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 15;  

            this.LaborInCalories = CreateLaborInCaloriesValue(500, typeof(MechanicsSkill), typeof(CombustionEngineRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CombustionEngineRecipe), this.UILink(), 8, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Combustion Engine"), typeof(CombustionEngineRecipe));

            CraftingComponent.AddRecipe(typeof(ElectricMachinistTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Combustion Engine")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class CombustionEngineItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("An engine that generates power by combustion of fuel."); } }
    }
}

