﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class GoldWiringRecipe :
        RecipeFamily
    {
        public GoldWiringRecipe()
        {
            this.Initialize(Localizer.DoStr("Gold Wiring"), typeof(GoldWiringRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "GoldWiring",
                    Localizer.DoStr("Gold Wiring"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(GoldBarItem), 4, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<GoldWiringItem>(2),  
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(200, typeof(MechanicsSkill), typeof(GoldWiringRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(GoldWiringRecipe), this.UILink(), 0.4f, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Gold Wiring"), typeof(GoldWiringRecipe));

            CraftingComponent.AddRecipe(typeof(ElectricMachinistTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Gold Wiring")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class GoldWiringItem :
    Item                                    
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Gold Wiring"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("A length of gold conductive wire useful for a variety of purposes."); } }
    }
}

