﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresModule(typeof(MachinistTableObject))]        
    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class HeatSinkRecipe :
        RecipeFamily
    {
        public HeatSinkRecipe()
        {
            this.Initialize(Localizer.DoStr("Heat Sink"), typeof(HeatSinkRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "HeatSink",
                    Localizer.DoStr("Heat Sink"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(CopperBarItem), 8, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<HeatSinkItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 2;  

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(MechanicsSkill), typeof(HeatSinkRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(HeatSinkRecipe), this.UILink(), 2, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Heat Sink"), typeof(HeatSinkRecipe));

            CraftingComponent.AddRecipe(typeof(ShaperObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Heat Sink")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class HeatSinkItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A copper plate to draw and disperse heat."); } }
    }
}

