﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(SmeltingSkill), 1)]      
    public partial class NailRecipe :
        RecipeFamily
    {
        public NailRecipe()
        {
            this.Initialize(Localizer.DoStr("Nail"), typeof(NailRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Nail",
                    Localizer.DoStr("Nail"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(IronBarItem), 1, typeof(SmeltingSkill), typeof(SmeltingLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<NailItem>(16),  
                    }
                )
            };


            this.ExperienceOnCraft = 0.5f;  

            this.LaborInCalories = CreateLaborInCaloriesValue(80, typeof(SmeltingSkill), typeof(NailRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(NailRecipe), this.UILink(), 0.8f, typeof(SmeltingSkill), typeof(SmeltingFocusedSpeedTalent), typeof(SmeltingParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Nail"), typeof(NailRecipe));

            CraftingComponent.AddRecipe(typeof(AnvilObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Nail")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class NailItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Nails used for construction."); } }
    }
}

