﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresModule(typeof(MachinistTableObject))]        
    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class PistonRecipe :
        RecipeFamily
    {
        public PistonRecipe()
        {
            this.Initialize(Localizer.DoStr("IronPiston"), typeof(PistonRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Piston",
                    Localizer.DoStr("IronPiston"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(IronPipeItem), 2, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(IronBarItem), 2, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<PistonItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 2;  

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(MechanicsSkill), typeof(PistonRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(PistonRecipe), this.UILink(), 1.5f, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("IronPiston"), typeof(PistonRecipe));

            CraftingComponent.AddRecipe(typeof(ScrewPressObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("IronPiston")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class PistonItem :
    Item                                    
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Iron Pistons"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("A moving component that transfers force. Can also function as a valve occasionally."); } }
    }
}

