﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(IndustrySkill), 1)]      
    public partial class SteelGearRecipe :
        RecipeFamily
    {
        public SteelGearRecipe()
        {
            this.Initialize(Localizer.DoStr("Steel Gear"), typeof(SteelGearRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "SteelGear",
                    Localizer.DoStr("Steel Gear"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(SteelBarItem), 2, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)), 
                    new IngredientElement(typeof(EpoxyItem), 1, typeof(IndustrySkill), typeof(IndustryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<SteelGearItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(IndustrySkill), typeof(SteelGearRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(SteelGearRecipe), this.UILink(), 0.4f, typeof(IndustrySkill), typeof(IndustryFocusedSpeedTalent), typeof(IndustryParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Steel Gear"), typeof(SteelGearRecipe));

            CraftingComponent.AddRecipe(typeof(ElectricPlanerObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Steel Gear")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Gear", 1)]                                 
    public partial class SteelGearItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A toothed machine part that interlocks with others."); } }
    }
}

